Invoke generic scsi error decoder if no alternative handler was
specified.

This is safe as dm_scsi_err_handler() will only act on SCSI errors
with valid sense data.

Signed-Off-By: Alasdair G Kergon <agk@redhat.com>
Signed-off-by: Lars Marowsky-Bree <lmb@suse.de>

Index: linux-2.6.13.1/drivers/md/dm-mpath.c
===================================================================
--- linux-2.6.13.1.orig/drivers/md/dm-mpath.c	2005-09-16 23:18:22.000000000 +0100
+++ linux-2.6.13.1/drivers/md/dm-mpath.c	2005-09-16 23:18:30.000000000 +0100
@@ -1024,6 +1024,8 @@
 
 	if (hwh->type && hwh->type->error)
 		err_flags = hwh->type->error(hwh, bio);
+	else
+		err_flags = dm_scsi_err_handler(hwh, bio);
 
 	if (mpio->pgpath) {
 		if (err_flags & MP_FAIL_PATH)
